Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.seq
Class SEQReader

    java.lang.Object
      org.monte.media.seq.SEQReader

Direct Known Subclasses:
  SEQDemultiplexer

    public class SEQReader

extends java.lang.Object

`SEQReader`.

Version:
  1.0 2011-02-19 Created.
Author:
  Werner Randelshofer

Constructor Summary
`SEQReader(java.io.File file)`
`SEQReader(java.io.File file, boolean variableFramerate)`

Method Summary
`void` | `close()`
`BitmapImage` | `createCompatibleBitmap()`
`int` | `getDuration(int index)` Reads the duration of the specified frame.
`int` | `getFrameCount()`
`int` | `getJiffies()`
`int` | `getTimeBase()`
`void` | `readFrame(int index, BitmapImage image)` Reads a frame into the supplied image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEQReader

    public SEQReader(java.io.File file)
              throws java.io.IOException

Throws:
  `java.io.IOException`

### SEQReader

    public SEQReader(java.io.File file,
                     boolean variableFramerate)
              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFrameCount

    public int getFrameCount()

### getTimeBase

    public int getTimeBase()

### createCompatibleBitmap

    public BitmapImage createCompatibleBitmap()

### readFrame

    public void readFrame(int index,
                          BitmapImage image)

  Reads a frame into the supplied image.

### getJiffies

    public int getJiffies()

### getDuration

    public int getDuration(int index)

  Reads the duration of the specified frame.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD